Gem::Specification.new do |s|
  s.name = 'logstash-filter-sumo'
  s.version         = '3.0.27'
  s.licenses = ['Apache License (2.0)']
  s.summary = "This filter extracts interessting SUMO values from the page element if present."
  s.description = "This gem is a logstash plugin required to be installed on top of the Logstash core pipeline using $LS_HOME/bin/plugin install gemname. This gem is not a stand-alone program"
  s.authors = ["TV 2","Leif Terje Fonnes"]
  s.email = 'leffen@gmail.com'
  s.homepage = "http://tv2.no"
  s.require_paths = ["lib"]

  # Files
  s.files = Dir['lib/**/*','spec/**/*','vendor/**/*','*.gemspec','*.md','CONTRIBUTORS','Gemfile','LICENSE']

   # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "filter" }

  # Gem dependencies
  s.add_runtime_dependency "logstash-core-plugin-api", "~> 2.0"
  s.add_development_dependency 'logstash-devutils'
  s.add_development_dependency 'rspec', '~> 3.1'
end
